C (c) CROWN COPYRIGHT 1995, METEOROLOGICAL OFFICE, All Rights Reserved.            RAD_ALL.2239  
C                                                                                  RAD_ALL.2240  
C Use, duplication or disclosure of this code is subject to the                    RAD_ALL.2241  
C restrictions as set forth in the contract.                                       RAD_ALL.2242  
C                                                                                  RAD_ALL.2243  
C                Meteorological Office                                             RAD_ALL.2244  
C                London Road                                                       RAD_ALL.2245  
C                BRACKNELL                                                         RAD_ALL.2246  
C                Berkshire UK                                                      RAD_ALL.2247  
C                RG12 2SZ                                                          RAD_ALL.2248  
C                                                                                  RAD_ALL.2249  
C If no contract has been raised with this copy of the code, the use,              RAD_ALL.2250  
C duplication or disclosure of it is strictly prohibited.  Permission              RAD_ALL.2251  
C to do so must first be obtained in writing from the Head of Numerical            RAD_ALL.2252  
C Modelling at the above address.                                                  RAD_ALL.2253  
C ******************************COPYRIGHT******************************            RAD_ALL.2254  
C                                                                                  RAD_ALL.2255  
!+ Subroutine to zero an array.                                                    RAD_ALL.2256  
!                                                                                  RAD_ALL.2257  
! Purpose:                                                                         RAD_ALL.2258  
!   The routine fills a 1-dimensional array with zeros.                            RAD_ALL.2259  
!                                                                                  RAD_ALL.2260  
! Method:                                                                          RAD_ALL.2261  
!   Straightforward.                                                               RAD_ALL.2262  
!                                                                                  RAD_ALL.2263  
! Current Owner of Code: J. M. Edwards                                             RAD_ALL.2264  
!                                                                                  RAD_ALL.2265  
! History:                                                                         RAD_ALL.2266  
!       Version         Date                    Comment                            RAD_ALL.2267  
!       4.0             27-07-95                Original Code                      RAD_ALL.2268  
!                                               (J. M. Edwards)                    RAD_ALL.2269  
!                                                                                  RAD_ALL.2270  
! Description of Code:                                                             RAD_ALL.2271  
!   FORTRAN 77  with extensions listed in documentation.                           RAD_ALL.2272  
!                                                                                  RAD_ALL.2273  
!- ---------------------------------------------------------------------           RAD_ALL.2274  
      SUBROUTINE R2_ZERO_1D(N, X)                                                  RAD_ALL.2275  
!                                                                                  RAD_ALL.2276  
!                                                                                  RAD_ALL.2277  
!                                                                                  RAD_ALL.2278  
      IMPLICIT NONE                                                                RAD_ALL.2279  
!                                                                                  RAD_ALL.2280  
!                                                                                  RAD_ALL.2281  
!     DUMMY ARGUMENTS                                                              RAD_ALL.2282  
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.2283  
     &     N                                                                       RAD_ALL.2284  
!             LENGTH OF ARRAY                                                      RAD_ALL.2285  
      REAL      !, INTENT(OUT)                                                     RAD_ALL.2286  
     &     X(N)                                                                    RAD_ALL.2287  
!             ARRAY TO BE ZEROED                                                   RAD_ALL.2288  
!                                                                                  RAD_ALL.2289  
!     LOCAL VARIABLES                                                              RAD_ALL.2290  
      INTEGER                                                                      RAD_ALL.2291  
     &     I                                                                       RAD_ALL.2292  
!             LOOP VARIABLE                                                        RAD_ALL.2293  
!                                                                                  RAD_ALL.2294  
!                                                                                  RAD_ALL.2295  
!                                                                                  RAD_ALL.2296  
      DO I=1, N                                                                    RAD_ALL.2297  
         X(I)=0.0E+00                                                              RAD_ALL.2298  
      ENDDO                                                                        RAD_ALL.2299  
!                                                                                  RAD_ALL.2300  
!                                                                                  RAD_ALL.2301  
!                                                                                  RAD_ALL.2302  
      RETURN                                                                       RAD_ALL.2303  
      END  
